﻿
Imports System.ComponentModel

Namespace Model
    Public Class ContactData
        Public Sub New()
        End Sub

        Public Sub New(data As String)
            If data Is Nothing Then
                Throw New ArgumentNullException(NameOf(data))
            End If

            Me.Data = data
            Me.DataType = EnumContactDataType.Phonenumber
        End Sub

        Public Sub New(data As String, dataType As EnumContactDataType)
            If data Is Nothing Then
                Throw New ArgumentNullException(NameOf(data))
            End If

            Me.Data = data
            Me.DataType = dataType
        End Sub

        Public Property Data As String
        Public Property DataType As EnumContactDataType


    End Class

    Public Enum EnumContactDataType
        <Description("Handynummer")>
        Phonenumber = 0
        <Description("Mailadresse")>
        Mail = 1
        <Description("SocialMedia Account")>
        SocialMedia = 2
        <Description("Faxnummer")>
        Fax = 3
        <Description("Website-Link")>
        Website = 4
    End Enum

End Namespace